<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "subgrp";
$formname = "Item Sub Group Print";
//$file       = "supplier_print.php";

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

    $itemsubgrp = $_POST['itemsubgrp'];
    $itemgrp = $_POST['itemgrp'];

    $itemsubgrpcond = "";
    $itemgrpcond = "";



    if (!empty($itemsubgrp)) {
        $itemsubgrpcond = " AND `code`='$itemsubgrp' ";
    }

    if (!empty($itemgrp)) {
        $itemgrpcond = " AND `itemgrp` = '$itemgrp' ";
    }


    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` where code != '' $itemgrpcond $itemsubgrpcond")or die(mysqli_error($conn));
if (isset($_POST["view"])) {

    include("includes/linkshead.php");
    ?>
    <script src="MyScript/item.js" type="text/javascript"></script>
    </head>
    <body>
        <div class="container">

            <?php include("includes/head_rep.php"); ?>

            <div class="row">
                <div class="col-lg-12 pad">
                    <table class="table table-bordered table-condensed table-hover">
                        <tr  class="mySearchTr">
                            <th>Sr</th>
                            <th>Item Sub Group</th>
                            <th>Item Group</th>
                        </tr>
                        <?php
                        $ctr = 1;
                        while ($pmain = mysqli_fetch_array($getpmain)) {

                            $getitgrp = mysqli_query($conn, "select `code`,`name` FROM `itemgrp` WHERE `code`='$pmain[itemgrp]'") or die(mysqli_error($conn));
                            $gitgrp = mysqli_fetch_array($getitgrp);

                            Echo "<tr>";
                            Echo "<td>$ctr</td>";
                            Echo "<td>$pmain[name]</td>";
                            Echo "<td>$gitgrp[name]</td>";
                            Echo "</tr>";
                            $ctr++;
                        }
                        ?>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php"); ?>
    </body>
    </html>
    <?php
}
if (isset($_POST["excel"])) {
    
    $contents.="Sr.,Item Sub Group,Item Group\n";

    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {

        $getitgrp = mysqli_query($conn, "select `code`,`name` FROM `itemgrp` WHERE `code`='$pmain[itemgrp]'") or die(mysqli_error($conn));
        $gitgrp = mysqli_fetch_array($getitgrp);
        $contents.=$ctr . ",";
        $contents.=$pmain[name] . ",";
        $contents.=$gitgrp[name] . "\n";

        $ctr++;
    }
    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
if (isset($_POST["subpdf"])) {
    $itemsubgrp = $_POST[itemsubgrp];
    $itemgrp = $_POST[itemgrp];

    $itemsubgrpcond = "";
    $itemgrpcond = "";



    if (!empty($itemsubgrp)) {
        $itemsubgrpcond = " AND `code`='$itemsubgrp' ";
    }

    if (!empty($itemgrp)) {
        $itemgrpcond = " AND `itemgrp` = '$itemgrp' ";
    }


    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` where code != '' $itemgrpcond $itemsubgrpcond")or die(mysqli_error($conn));

    require("library/fpdf/fpdf.php");

    class pdf extends fpdf {

        function footer() {
            $this->SetY(-15);
            $this->SetFont('Arial', 'I', 8);
            $this->Cell(0, 10, 'Page' . $this->PageNo() . '/{nb}', 0, 0, 'C');
        }

    }

    $pdf = new pdf('P', 'mm', 'A4');

    $pdf->AliasNbPages();
    $pdf->AddPage();
    $pdf->SetFont('Arial', 'I', 10);
    $pdf->SetTextColor(255, 255, 255);
    $pdf->SetFillColor(96, 130, 191);
    $pdf->Cell(10, 7, 'Sr', 1, 0, '', 1);
    $pdf->Cell(90, 7, 'Item Sub Group', 1, 0, '', 1);
    $pdf->Cell(90, 7, 'Item Group', 1, 0, '', 1);
    $pdf->SetFont('Arial', '', 1, 0);

    $pdf->SetTextColor(0, 0, 0);

    $pdf->Ln();
    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {

        $getitgrp = mysqli_query($conn, "select `code`,`name` FROM `itemgrp` WHERE `code`='$pmain[itemgrp]'") or die(mysqli_error($conn));
        $gitgrp = mysqli_fetch_array($getitgrp);

        $pdf->SetFont('Arial', '', 8);
        $pdf->Cell(10, 7, "$ctr", 1, 'C');
        $pdf->Cell(90, 7, "$pmain[name]", 1);
        $pdf->Cell(90, 7, "$gitgrp[name]", 1);
        $ctr++;
        $pdf->Ln();
    }
    $pdf->output("Item Sub Group.pdf", "D");
}
?>